use maraiah::marathon::shp;

include!("data/rand.rs");

#[test]
fn shp_must_not_process()
{
   for inp in &RANDOM {
      assert!(shp::read_bitmap(inp).is_err());
      assert!(shp::read_collection(inp).is_err());
      assert!(shp::read_frame(inp).is_err());
      assert!(shp::read_sequence(inp).is_err());
      assert!(shp::read_shapes(inp).is_err());
   }
}

// EOF
